[
{
	"name": "main",
	"layer": "top", // Waybar at top layer
	// "position": "bottom", // Waybar position (top|bottom|left|right)
	"height": 30, // Waybar height (to be removed for auto height)
	// "width": 1280, // Waybar width
	// "gtk-layer-shell": "false",
	// Choose the order of the modules
	"modules-left": ["custom/menu","hyprland/window"],
	"modules-center": ["hyprland/workspaces"],
	"modules-right": ["custom/zypper","hyprland/language", "network", "pulseaudio", "custom/layout", "clock"],
	  "hyprland/workspaces": {
	"format": "{icon}",
	"format-icons": {
	  "default": "",
	  "active": ""
	},
	"disable-scroll": true,
	"all-outputs": true,
	"show-special": true
	},
	"hyprland/window": {
		
	},
	"custom/menu": {
		"format": "",
		"on-click": "fuzzel"
	},
    "custom/layout": {
        "tooltip": false,
        "exec": "swaymsg -mrt subscribe '[\"input\"]' | jq -r --unbuffered \"select(.change == \\\"xkb_layout\\\") | .input | select(.type == \\\"keyboard\\\") | .xkb_active_layout_name | .[0:2]\""
    },
    "custom/zypper": {
        "format": "{} ",
        "interval": 3600,
        "exec": "zypper lu | grep 'v \\+|' | wc -l; echo 'packages to update'",
        "exec-if": "exit 0",
        "on-click": "exec alacritty -e sudo sh -c 'zypper ref; zypper dup; pkill -SIGRTMIN+8 waybar'",
        "signal": 8
    },
    "idle_inhibitor": {
        "format": "{icon}",
        "format-icons": {
            "activated": "",
            "deactivated": ""
        } 
    },
    "tray": {
        // "icon-size": 21,
        "spacing": 10
    },
    "clock": {
        "format": " {:%Y-%m-%d %H:%M:%S}",
        "format-alt": "{:%a %d %b w:%V %H:%M}",
        "tooltip-format": "<span color='#eee8d5'><tt><small>{calendar}</small></tt></span>",
        "calendar": {
            "mode-mon-col"      : 4,
            "weeks-pos"         : "left",
            "on-scroll"         : 1,
            "on-click-right"    : "mode",
            "format": {
                "months":    "<span color='#dc322f'><b>{}</b></span>",
                "weeks":    "<span  color='#d33682'><b>{}</b></span>",
                "weekdays": "<span  color='#268bd2'><b>{}</b></span>",
                "today":    "<span  color='#2aa198'><b><u>{}</u></b></span>"
            }
        },
        "actions": {
            "on-click-right"    : "mode",
            "on-scroll-up"      : "shift_up",
            "on-scroll-down"      : "shift_down"
        },
        "interval": 1
    },
    "cpu": {
        "format": "{usage}% ",
        "tooltip": false
    },
    "memory": {
        "format": "{}% "
    },
    "temperature": {
        // "thermal-zone": 2,
        // "hwmon-path": "/sys/class/hwmon/hwmon2/temp1_input",
        "critical-threshold": 80,
        // "format-critical": "{temperatureC}°C {icon}",
        "format": "{temperatureC}°C {icon}",
        "format-icons": ["", "", ""]
    },
    "backlight": {
        // "device": "acpi_video1",
        "format": "{percent}% {icon}",
        "format-icons": ["", ""]
    },
    "battery": {
        "states": {
            // "good": 95,
            "warning": 30,
            "critical": 15
        },
        "format": "{icon}",
        "format-charging": "",
        "format-plugged": "",
        "format-alt": "{capacity}% {time}",
        "format-icons": ["", "", "", "", ""]
    },
    "battery#bat2": {
        "bat": "BAT2"
    },
    "network": {
        // "interface": "wlp2*", // (Optional) To force the use of this interface
        "format-wifi": "",
        "format-ethernet": "",
        "format-linked": "",
        "format-disconnected": "⚠",
        "format-alt": "{ifname} {essid} ({signalStrength}%)"
    },
    "pulseaudio": {
        "format": "{icon}",
        "format-alt": "{volume} {icon}",
        "format-alt-click": "click-middle",
        "format-muted": "",
        "format-icons": {
            "headphones": "",
            "handsfree": "",
            "headset": "",
            "phone": "",
            "portable": "",
            "car": "",
            "default": ["", "", ""]
        },
        "scroll-step": 10,
        "on-click": "pactl set-sink-mute @DEFAULT_SINK@ toggle",
        "on-click-right": "pavucontrol",
        "tooltip": true
    },
    "custom/scratchpad": {
        "format-text": "{}",
        "return-type": "json",
        "interval": 3,
        "exec": "/usr/share/openSUSEway/helpers/scratchpad-indicator.sh 2> /dev/null",
        "exec-if": "exit 0",
        "on-click": "swaymsg 'scratchpad show'",
        "on-click-right": "swaymsg 'move scratchpad'"
    },
	"hyprland/language": {
		"format": "{}",
		"on-click": "hyprctl switchxkblayout current next",
		"keyboard-name": "current"
	},
    "custom/notification": {
	"tooltip": true,
	"format": "{icon}",
	"format-icons": {
	     "notification": "<span foreground='red'><small><sup>⬤</sup></small></span>",
	     "none": " ",
	     "dnd-notification": "<span foreground='red'><small><sup>⬤</sup></small></span>",
	     "dnd-none": " "
	},
	"return-type": "json",
	"exec-if": "which swaync-client",
	"exec": "swaync-client -swb",
	"on-click": "swaync-client -t -sw",
	"on-click-right": "swaync-client -d -sw",
	"escape": true,
	"name": "main"
   }
}
]
